[SCM] jigsaw packaging branch, master, updated. e395a48ce8b3a15417bb418d6a3dfc8b3a690cd0
Guillaume Mazoyer
gmazoyer-guest at alioth.debian.org
Mon Aug 22 13:10:44 UTC 2011
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "jigsaw packaging".
The branch, master has been updated
via e395a48ce8b3a15417bb418d6a3dfc8b3a690cd0 (commit)
from 4b9c4397ce1fd586476fd184e7113aa3b97bd5c7 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit e395a48ce8b3a15417bb418d6a3dfc8b3a690cd0
Author: Guillaume Mazoyer <respawneral at gmail.com>
Date: Mon Aug 22 15:10:13 2011 +0200
Add script to download external sources.
-----------------------------------------------------------------------
Summary of changes:
debian-wip/download-external-sources.sh | 18 ++++++++++++++++++
1 files changed, 18 insertions(+), 0 deletions(-)
diff --git a/debian-wip/download-external-sources.sh b/debian-wip/download-external-sources.sh
new file mode 100644
index 0000000..aaa6a8d
--- /dev/null
+++ b/debian-wip/download-external-sources.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+download_src() {
+ if [ $# -ne 2 ]; then
+ exit 1
+ fi
+
+ url=$(grep "${2}_src.master.bundle.url.base" ${1}/${1}.properties | \
+ cut -d '=' -f2)
+ zip=$(grep "${2}_src.bundle.name" ${1}/${1}.properties | \
+ cut -d '=' -f2)
+
+ wget --no-check-certificate ${url}/${zip}
+}
+
+download_src "jaxp" "jaxp"
+download_src "jaxws" "jaxws"
+download_src "jaxws" "jaf"
hooks/post-receive
--
jigsaw packaging
More information about the pkg-java-commits
mailing list